CO_GFC.h File Reference
CANopen_304 » GFC

CANopen Global fail-safe command protocol. More...

`#include "301/CO_driver.h"`

Go to the source code of this file.

## Data Structures

struct | CO_GFC_t
| GFC object. More...

## Functions

CO_ReturnError_t | CO_GFC_init (CO_GFC_t *GFC, uint8_t *valid, CO_CANmodule_t *GFC_CANdevRx, uint16_t GFC_rxIdx, uint16_t CANidRxGFC, CO_CANmodule_t *GFC_CANdevTx, uint16_t GFC_txIdx, uint16_t CANidTxGFC)
| Initialize GFC object. More...
void | CO_GFC_initCallbackEnterSafeState (CO_GFC_t *GFC, void *object, void(*pFunctSignalSafe)(void *object))
| Initialize GFC callback function. More...
CO_ReturnError_t | CO_GFCsend (CO_GFC_t *GFC)
| Send GFC message. More...

## Detailed Description

CANopen Global fail-safe command protocol.

Author
  Robert Grüning

Copyright
  2020 - 2020 Robert Grüning

This file is part of CANopenNode, an opensource CANopen Stack. Project home page is https://github.com/CANopenNode/CANopenNode. For more information on CANopen see http://www.can-cia.org/.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.